Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.i18n
Class FixedLocaleResolver

    java.lang.Object
      org.springframework.web.servlet.i18n.AbstractLocaleResolver
          org.springframework.web.servlet.i18n.FixedLocaleResolver

All Implemented Interfaces:
  LocaleResolver

    public class FixedLocaleResolver

extends AbstractLocaleResolver

`LocaleResolver` implementation that always returns a fixed default locale. Default is the current JVM's default locale.

Note: Does not support `setLocale`, as the fixed locale cannot be changed.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `AbstractLocaleResolver.setDefaultLocale(java.util.Locale)`

Constructor Summary
`FixedLocaleResolver()` Create a default FixedLocaleResolver, exposing a configured default locale (or the JVM's default locale as fallback).
`FixedLocaleResolver(Locale locale)` Create a FixedLocaleResolver that exposes the given locale.

Method Summary
`Locale` | `resolveLocale(HttpServletRequest request)` Resolve the current locale via the given request.
`void` | `setLocale(HttpServletRequest request, HttpServletResponse response, Locale locale)` Set the current locale to the given one.

Methods inherited from class org.springframework.web.servlet.i18n.AbstractLocaleResolver
`getDefaultLocale, setDefaultLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedLocaleResolver

    public FixedLocaleResolver()

  Create a default FixedLocaleResolver, exposing a configured default locale (or the JVM's default locale as fallback).

  See Also:
    `AbstractLocaleResolver.setDefaultLocale(java.util.Locale)`

### FixedLocaleResolver

    public FixedLocaleResolver(Locale locale)

  Create a FixedLocaleResolver that exposes the given locale.

  Parameters:
    `locale` - the locale to expose

Method Detail

### resolveLocale

    public Locale resolveLocale(HttpServletRequest request)

  Description copied from interface: `LocaleResolver`
  Resolve the current locale via the given request. Should return a default locale as fallback in any case.

  Parameters:
    `request` - the request to resolve the locale for
  Returns:
    the current locale (never `null`)

### setLocale

    public void setLocale(HttpServletRequest request,
                          HttpServletResponse response,
                          Locale locale)

  Description copied from interface: `LocaleResolver`
  Set the current locale to the given one.

  Parameters:
    `request` - the request to be used for locale modification
    `response` - the response to be used for locale modification
    `locale` - the new locale, or `null` to clear the locale

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.